.TH HG HEADS  "" "" ""
.SH NAME
hg heads \- show branch heads
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg heads [\-ct] [\-r STARTREV] [REV]...
.ft P
.fi
.SH DESCRIPTION
.sp
With no arguments, show all open branch heads in the repository.
Branch heads are changesets that have no descendants on the
same branch. They are where development generally takes place and
are the usual targets for update and merge operations.
.sp
If one or more REVs are given, only open branch heads on the
branches associated with the specified changesets are shown. This
means that you can use \%\fBhg heads .\fP\: to see the heads on the
currently checked\-out branch.
.sp
If \-c/\-\-closed is specified, also show branch heads marked closed
(see \%\fBhg commit \-\-close\-branch\fP\:).
.sp
If STARTREV is specified, only those heads that are descendants of
STARTREV will be displayed.
.sp
If \-t/\-\-topo is specified, named branch mechanics will be ignored and only
topological heads (changesets with no children) will be shown.
.sp
Returns 0 if matching heads are found, 1 if not.
.SH OPTIONS
.INDENT 0.0
.TP
.BI \-r,  \-\-rev \ <STARTREV>
.
show only heads which are descendants of STARTREV
.TP
.B \-t,  \-\-topo
.
show topological heads only
.TP
.B \-a,  \-\-active
.
show active branchheads only (DEPRECATED)
.TP
.B \-c,  \-\-closed
.
show normal and closed branch heads
.TP
.BI \-\-style \ <STYLE>
.
display using template map file (DEPRECATED)
.TP
.BI \-T,  \-\-template \ <TEMPLATE>
.
display with template
.UNINDENT
.\" Generated by docutils manpage writer.
.\" 
.
